:root {
    --white: #fff;
    --black: #000;

    --gray-100: #ececec;
    --gray-200: #d5d5d5;
    --gray-400: #727272;
    --gray-700: #333333;

    --accent-blue: #00B3E3;
    --accent-cyan-dark: #C9F5FE;

    --title-color: #4c5964;

    --badge-red: #ff4141;
    --badge-blue-dark: #004358;
    --badge-yellow: #FF8B00;

    --footer-bg: #313c42;
    --footer-text: #B0AFAF;
}

.body {background: var(--white);}

a {color: var(--accent-blue)}

.link_a {
    text-align: center;
    text-decoration: underline;
}

h2 {
	font-weight: 600;
}


/* HEADER */
.inside-header {
    padding: 10px 20px;
}

.mega-menu-wrap {
    width: 100% !important;
}

.main-navigation,
.main-navigation ul ul {
    background-color: var(--gray-100);
    box-shadow: 0 2px 2px rgba(0,0,0,0.23);
	transition: all .3s;
}

.menu-bar-items {
    display: none !important;
}

#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
	transition: all .2s;
}

/* SEARCH */
button.search-submit {
    background: none;
    color: var(--black);
}

input.search-field {
    border: none;
    color: var(--gray-400);
    font-size: 13px;
    height: 43px;
    width: 100%;
    background: none;
    padding: 0 15px;
}

form.search-form {
    border-radius: 28px;
    background-color: var(--gray-100);
	display: flex;
	border: 1px solid transparent;
    flex-direction: row;
    justify-content: space-between;
	transition: all .3s;
}

input[type="search"]:focus,
input[type="text"]:focus {
    background: none;
    border: none;
    outline: none;
}

.search-form:focus-within  {
	border: 1px solid var(--accent-blue);
	 background-color: white;
}

.search-form:hover  {
	border: 1px solid var(--accent-blue);
}

select.orderby:hover {
    transition: all .3s;
	background-color: var(--gray-100);
}

/* RECOMMENDATIONS */
.square-item {
    background: var(--gray-100);
    border-right: 1px solid var(--white);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.square-icon {
    width: 60px;
    height: 60px;
    margin-bottom: 15px;
    object-fit: contain;
}

.square-title {
    font-size: 20px;
    text-align: center;
    font-weight: 600;
}

/* KNOWLEDGE LIST */
.knowledge-item {
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
    gap: 15px;
}

.knowledge-thumb {
    width: 45%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.knowledge-text {
    flex-grow: 1;
    font-size: 16px;
    font-weight: 600;
}

@media(max-width: 600px) {
    .knowledge-item {
        flex-direction: row;
    }
}

/* RECOMMEND TITLE */
.recommend-title {
    width: 100%;
    text-align: center;
    font-size: 18px;
    font-weight: 400;
    margin-bottom: 12px;
    background-color: #909093;
    color: var(--white);
    line-height: 36px;
    padding: 0 10px 0 25px;
    text-decoration: none;
}

/* PRODUCT ATTRIBUTES */
.woocommerce div.product .woocommerce-tabs ul.tabs li.active {
    background: var(--accent-blue);
    color: var(--white);
    border-radius: 4px 4px 0 0;
}

.woocommerce table.shop_attributes th {
    font-style: normal;
    border-bottom: 2px dotted var(--gray-200);
    text-align: left;
    color: var(--gray-700);
}

.woocommerce table.shop_attributes td {
    font-style: normal;
    border-bottom: 2px dotted var(--gray-200);
    padding-left: 30px;
    color: var(--gray-700);
}

table, td, th,
.woocommerce table.shop_attributes {
    border: none;
}

/* SECTION TITLE */
.news-content__title {
    background: var(--white) !important;
    position: relative;
    padding: 0 18px;
    color: var(--black);
    font-size: 26px;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: .2em;
    text-align: center;
    margin-bottom: 30px;
    z-index: 999;
}

.news-content__title:before {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 50%;
    margin-top: -3px;
    height: 2px;
    background: var(--gray-200);
    z-index: 1;
}

/* ADVANTAGES BLOCK */
.advantages {
    display: flex;
    gap: 30px;
}

.block_advantages {
    border: 1px solid var(--gray-200);
    box-shadow: 0px 6px 32px rgba(0,0,0,0.1);
    background: var(--white);
    width: calc(100% / 3);
}

.img_advantages img {
    width: 100%;
    max-height: 200px;
    object-fit: cover;
}

.text_advantages {
    padding: 20px 30px;
    text-align: center;
	display: flex;
    flex-direction: column;
    align-items: center;
}

.text_advantages h2 {
    font-size: 22px;
    font-weight: 400;
}

.text_advantages p {
    font-size: 14px;
    font-weight: 400;
    min-height: 70px;
}

@media (max-width: 768px) {
    .advantages {
        flex-direction: column;
    }
    .block_advantages {
        width: 100%;
    }
}

/* PRODUCT CARD */
.product-card {
    border-right: 1px solid var(--gray-200);
    padding: 15px;
    background: var(--white);
    position: relative;
}

.product-card:last-child {
    border-right: none;
}

.product-card .badge {
    position: absolute;
    top: 8px;
    left: 8px;
    background: var(--badge-red);
    color: var(--white);
    padding: 5px 10px;
    font-size: 12px;
    border-radius: 4px;
}

.product-card .thumb img {
    width: 100%;
    border-radius: 8px;
}

.product-card .title {
    font-size: 16px;
    margin: 12px 0 8px;
    min-height: 40px;
}

.product-card .price {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 12px;
    color: var(--black);
}

.woocommerce div.product .woocommerce-tabs .panel h3 {
	color: var(--accent-blue);
}

/* BUY BUTTON */
.btn-buy, .btn-buy2 {
    display: block;
    background-color: var(--accent-blue);
    color: var(--white);
    font-size: 12px;
    font-weight: 700;
    text-decoration: none;
    text-align: center;
    border-radius: 18px;
    border: none;
    text-transform: uppercase;
    padding: 10px 40px;
    transition: all .3s;
}

.btn-buy:hover, .btn-buy2:hover {
    background: var(--accent-cyan-dark);
    color: var(--badge-blue-dark);
}

.btn-buy2 {
    padding: 5px 5px;
    font-size: 10px;
	z-index:1;
}

/* BADGE CONTAINER (MULTI BADGES) */
.badge-container {
    position: absolute;
    top: 8px;
    left: 8px;
    display: flex !important;
    flex-direction: column !important;
    align-items: flex-start !important;
    justify-content: flex-start !important;
    gap: 6px !important;
    pointer-events: none;
}

.badge-container .badge {
    position: relative !important;
    display: inline-block !important;
    padding: 5px 10px !important;
    font-size: 12px !important;
    line-height: 1 !important;
    color: var(--white) !important;
    border-radius: 4px !important;
    width: auto !important;
    white-space: nowrap !important;
}

.badge-new {background: var(--accent-blue) !important;}
.badge-special {background: var(--badge-blue-dark) !important;}
.badge-hit {background: var(--badge-yellow) !important;}
.badge-exlusive {background: #0c4358!important;}
.badge-invertor {background: #0c4358!important;}
.badge-par {background: #898989!important;}
.badge-heat_pump {background: #2d3940!important;}

/* SWIPER FIXES */
.swiper {
    padding: 0 20px;
    width: 100%;
}

.swiper-horizontal {
    padding: 0 20px;
}

/* FOOTER */
.footer-widgets {
    position: relative;
    background: url(https://korting.com.kz/wp-content/uploads/2025/12/footer-scaled.jpg) no-repeat top right var(--footer-bg);
    padding: 90px 0 0;
    color: var(--footer-text);
    font-size: 12px;
    font-weight: 400;
}

.footer-widgets a,
.site-info a {
    color: var(--footer-text);
    text-decoration: none;
}

.footer-widgets a:hover {
    text-decoration: underline;
}

.site-info {
    background: var(--footer-bg);
    border-top: 1px solid var(--gray-400);
    color: var(--footer-text);
}

.footer-widgets-container {
    padding: 0 0 40px 0;
}

.footer-widgets h2 {
    color: var(--footer-text);
    font-size: 12px;
    font-weight: 700;
    margin-bottom: 15px;
    text-transform: uppercase;
}

.footer-bar-align-right .copyright-bar {
    color: var(--footer-text);
    font-size: 12px;
    font-weight: 400;
    line-height: 22px;
    text-align: left;
}

.footer-menu__list {
    list-style: none;
    margin: 0;
    padding: 0;
    line-height: 0.6;
}

.footer-menu__item {
    display: inline-block;
    vertical-align: middle;
    margin: 0 10px;
}

.footer-menu__link {
    color: var(--footer-text);
    font-size: 12px;
    font-weight: 400;
    text-decoration: none;
}

.footer-bar {
    width: 80%;
}

/* RECOMMENDATION ACCORDION */

.recommend-accordion {
	margin-top: 20px;
}
.recommend-accordion .acc-item {
    border-bottom: 1px solid var(--gray-200);
    margin-bottom: 10px;
}

.acc-title {
    width: 100%;
    background: var(--white);
    padding: 12px;
    text-align: left;
    font-size: 18px;
    font-weight: 700;
    cursor: pointer;
    border: none;
    outline: none;
    color: var(--title-color);
    transition: all .3s;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.acc-title:hover,
.acc-title:focus {
    background: var(--gray-100);
    color: var(--title-color);
}

.acc-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height .3s ease;
}

.acc-inner {
    display: flex;
    gap: 15px;
    padding: 15px;
}

.acc-thumb img {
    width: 180px;
    height: auto;
}

.acc-text {
    flex: 1;
}

.acc-more {
    display: inline-block;
    background: var(--accent-blue);
    color: var(--white);
    padding: 10px 20px;
    border-radius: 20px;
    text-decoration: none;
    margin-top: 15px;
    text-align: center;
    text-transform: uppercase;
    font-size: 11px;
    font-weight: 700;
    max-width: 150px;
    transition: 0.3s;
}

.acc-more:hover {
    background: var(--accent-cyan-dark);
}

.acc-arrow svg {
    width: 18px;
    height: 18px;
    transition: transform 0.3s ease;
    transform: rotate(90deg);
}

.acc-title[aria-expanded="true"] .acc-arrow svg {
    transform: rotate(270deg);
}

/* ACF EXTRA BUTTON */
.acf-extra-btn {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    background: #f14635;
    color: var(--white);
    font-size: 15px;
    font-weight: 600;
    text-decoration: none;
    transition: background 0.25s ease;
    width: 100%;
    justify-content: center;
    margin-bottom: 16px;
    border-radius: 18px;
    border: none;
    text-transform: uppercase;
    padding: 10px 40px;
}

.acf-extra-btn:hover {
    background: #cb392b;
    color: var(--white);
}

.acf-btn-icon {
    width: 90px;
    height: 20px;
    object-fit: contain;
}

/* HIDE BUY BUTTON ON PRODUCT PAGE
.single_variation_wrap {
    display: none !important;
}*/

/* PRODUCT PAGE HEADERS, TABS, PRICE */
.woocommerce div.product .product_title {
    color: var(--accent-blue);
    font-size: 28px;
    font-weight: 700;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li {
    border: none;
}

.woocommerce div.product p.price,
.woocommerce div.product span.price {
    font-size: 22px;
    font-weight: 700;
    color: var(--gray-700);
}

/* PRODUCT ARCHIVE PRICES */
.woocommerce ul.products li.product .price {
    font-weight: 700;
    color: var(--gray-700);
}

/* SALE BADGE */
.woocommerce span.onsale {
    background: var(--badge-blue-dark);
    color: var(--white);
    padding: 0px 15px;
    font-size: 12px;
    border-radius: 4px;
}

.product-feature-badges {
	display: flex;
	flex-direction: column;
	gap: 6px;
	margin-bottom: 10px;
	margin-top: 16px;
}

.product-feature-badge {
	display: inline-block;
	padding: 6px 10px;
	font-size: 12px;
	font-weight: 600;
	color: #fff;
	border-radius: 4px;
	width: fit-content;
	text-transform: uppercase;
}

/* Цвета по типам */
.badge-popular { background:#ff9800; }
.badge-new { background:#4caf50; }
.badge-hit { background:#e53935; }
.badge-komplekt { background:#673ab7; }
.badge-postoyannyj_nagrev {background:#0c4358;}
.badge-heat_pump {background:#2d3940;}


.woocommerce ul.products li.product {
	position: relative;
}

.woocommerce ul.products li.product .product-feature-badges {
	position: absolute;
	top: -20px;
	left: 10px;
	z-index: 10;
}

/* Карточка товара */
.single-product .product-feature-badges {
	position: static;
	margin-bottom: 10px;
}


/* DOCUMENTATION BLOCK */
.docs-left h3,
.docs-right h3 {
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 20px;
    color: var(--title-color);
}

.docs-left p,
.docs-right p {
    text-align: justify;
}

.docs-left a {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    background: var(--accent-blue);
    color: var(--white);
    font-size: 15px;
    font-weight: 600;
    padding: 12px 18px;
    border-radius: 18px;
    text-decoration: none;
    transition: background 0.25s ease;
}

.docs-left a:hover {
    background: #119fc9;
    color: var(--white);
}

.docs-grid {
    display: flex;
    gap: 30px;
    margin-top: 20px;
}

.docs-left,
.docs-right {
    flex: 1;
}

.docs-right img {
    max-width: 100%;
    height: auto;
    display: block;
    border: 1px solid #eee;
    border-radius: 6px;
}

@media (max-width: 768px) {
    .docs-grid {
        flex-direction: column;
    }
    .docs-left,
    .docs-right {
        flex: unset;
        width: 100%;
    }
    .docs-right img {
        margin-top: 10px;
    }
}

/* CART FORM HIDDEN */
.woocommerce div.product form.cart {
    display: none !important;
}

/* PRODUCT ATTRIBUTES LAYOUT */
.woocommerce-product-attributes.shop_attributes {
    float: left;
}

.woocommerce-product-attributes-right {
    width: 45%;
    float: right;
}

.woocommerce-product-attributes-right table {
    width: 100%;
}

.clearfix::after {
    content: "";
    display: table;
    clear: both;
}

/* REMOVE DEFAULT WOOCOMMERCE ELEMENTS */
.woocommerce div.product .woocommerce-tabs ul.tabs li::before,
.woocommerce div.product .woocommerce-tabs ul.tabs li::after,
.product_meta {
    display: none;
}

/* MEGAMENU HOVER COLORS */
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu
    li.mega-menu-column-standard li.mega-menu-item > a.mega-menu-link:hover,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu
    li.mega-menu-column-standard li.mega-menu-item > a.mega-menu-link:focus,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu
    li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item li.mega-menu-item > a.mega-menu-link:hover,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu
    li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item li.mega-menu-item > a.mega-menu-link:focus {
    background-color: transparent;
    text-decoration: underline;
}

/* Вывод ACF в 2 колонки */

.acf-specs-grid {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 40px;
	margin-top: 20px;
}

.acf-spec-group h4 {
	margin-bottom: 10px;
	font-size: 16px;
	font-weight: 600;
}

.acf-spec-table {
	width: 100%;
	border-collapse: collapse;
}

.acf-spec-table tr {
	border-bottom: 1px dotted var(--gray-200);
}

.acf-spec-table tr:last-child {
	border-bottom: none;
}

.acf-spec-table td {
	padding: 6px 0;
	vertical-align: top;
}

.acf-spec-label {
	color: #666;
	width: 60%;
}

.acf-spec-value {
	font-weight: 500;
}

@media (max-width: 768px) {
	.acf-specs-grid {
		grid-template-columns: 1fr;
	}
}

/* Вывод ACF цвет */

.product-color {
	display: flex;
	align-items: center;
	gap: 8px;
	margin: 10px 0 15px;
}

.product-color-label {
	color: #666;
}

.product-color-swatch {
	width: 20px;
    height: 20px;
    border-radius: 3px;
    border: 1px solid var(--contrast-2);
	display: inline-block;
}

.color-black { background:#000; }
.color-white { background:#fff; }
.color-red { background:#c62828; }
.color-brown { background:#7B3F00; }
.color-beige { background:#e6d8ad; }
.color-golden_beige {background: linear-gradient(270deg,rgba(203, 183, 157, 1) 0%, rgba(231, 223, 213, 1) 100%);}
.color-silver { background:#c0c0c0; }
.color-silverish { background:#bfc3c7; }
.color-gray {background: gray;}
.color-anthracite { background:#2f3437; }
.color-graphite_black { background:#1f1f1f; }
.color-matte_white { background:#f4f4f4; }
.color-matte_black { background:#2e2e2e; }
.color-kashemir { background:#f2e7c9; }
.color-stainless {background: linear-gradient(135deg,#cfcfcf,#9e9e9e);}
.color-black_stainless {background:linear-gradient(135deg,#111,#888)}
.color-glass{background:linear-gradient(135deg,#e0e0e0,#fafafa)}
.color-steel{background:linear-gradient(135deg,rgba(163, 163, 163, 1) 0%, rgba(232, 232, 232, 1) 100%);}
.color-white_glass{background:linear-gradient(135deg,#fff,#eaeaea)}
.color-black_glass{background:linear-gradient(135deg,#111,#333)}
.color-gray_glass{background:linear-gradient(135deg,#b0b0b0,#8c8c8c)}
.color-beige_glass{background:linear-gradient(135deg,#e8d9b5,#cdbb95)}
.color-antique_white {background:#f3efe3}
.color-ivory {background:#f4efe6;}
.color-ivory_bronze {background:linear-gradient(135deg,#f4efe6,#a97142)}
.color-ivory_gold {background:linear-gradient(135deg,#f4efe6,#c9a23f)}
.color-e_metal {background:linear-gradient(321deg,rgba(230, 230, 230, 1) 0%, rgba(112, 112, 112, 1) 50%, rgba(230, 225, 225, 1) 100%);}
.color-golden {background:#beaa8f;}
.color-shamp {background:#efece7;}

/* ACF товары на главной */

.acf-product-grid {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
	gap: 24px;
}

.acf-product-card {
	display: flex;
	flex-direction: column;
	text-align: center;
	background: var(--white);
	align-items: center;
	justify-content: space-between;
}

.acf-product-image img {
	width: 100%;
	height: auto;
	display: block;
	transition: transform 0.4s ease, filter 0.4s ease;
}

.acf-product-image {
	display: block;
	overflow: hidden;
	border-radius: 6px;
}

.acf-product-card:hover .acf-product-image img {
	transform: scale(0.90);
}

.acf-product-title {
	font-size: 18px;
	font-weight: 500;
	margin: 10px 0 6px;
	color: var(--gray-700);
}

.acf-product-title a {
	text-decoration: none;
	color: inherit;
}

.acf-product-price {
	font-size: 16px;
	font-weight: 600;
	margin-bottom: 10px;
}

@media (max-width: 768px) {
	.acf-product-grid {
		grid-template-columns: repeat(2, 1fr);
	}
}

@media (max-width: 480px) {
	.acf-product-grid {
		grid-template-columns: 1fr;
	}
}

a.btn-more {
    color: var(--accent-blue);
    text-decoration: underline!important;
    display: flex;
    justify-content: center;
    margin-top: 20px;
	transition: all .3s;
	border-top: 1px solid #D1D1D1;
    padding-top: 20px;
}

a.btn-more:hover {
	text-decoration: none!important;
	color: var(--badge-blue-dark);
}


/* Похожие товары */

.related.products, .product-color-variants, .product-cross-sells, .up-sells {
	border: 1px solid var(--gray-200);
	text-align: center;
}

.product-color-variants, .related.products, .up-sells {
	margin-bottom: 20px;
}

.product-color-variants .acf-product-grid {
	display: flex;
	flex-direction: column;
	gap: 0px;
}

.product-color-variants .acf-product-grid {
	border-top: 2px solid var(--accent-blue);
	padding: 20px 20px 0;
	margin: 0;
}

.related.products h2, .product-color-variants h2, .product-cross-sells h2, .up-sells h2 {
	padding-top: 10px;
	font-family: "Open Sans", Sans-serif;
    font-size: 32px;
    font-weight: 400;
    color: var(--gray-400);
}

.woocommerce .products ul, .woocommerce ul.products {
	border-top: 2px solid var(--accent-blue);
	padding: 20px 20px 0;
	margin: 0;
	display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    align-items: stretch;
}

.woocommerce ul.products li.product .button {
	display: none;
}

.woocommerce ul.products li.product a img {
	transition: transform 0.4s ease, filter 0.4s ease;
}

.products .columns-4:hover .woocommerce ul.products li.product img {
	transform: scale(0.90);
}

.woocommerce-page ul.products li.product {
	border: 1px solid #eee;
	padding: 15px;
	text-decoration: none;
	color: inherit;
	transition: 0.3s;
	background: #fff;
	display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.woocommerce-page .product-category h2 {
	color: var(--accent-blue);
	font-weight: 600;
}

mark {
	background: transparent;
}

.woocommerce-page .product-category {
	
}

.woocommerce-page ul.products li.product:hover {
	box-shadow: 0 10px 25px rgba(0,0,0,0.08);
	transform: translateY(-3px);
}

.price bdi {
	padding: 5px 0;
	transition: all .3s;
	position: relative;
    display: inline-block;
    overflow: hidden;
	
}

.woocommerce-page ul.products li.product:hover .price bdi {
	background: var(--accent-cyan-dark);
    color: var(--badge-blue-dark);
	padding: 5px 5px;
	border-radius: 4px;
}

.color-variant-row {
	display: flex;
	gap: 14px;
	padding: 10px 0;
	border-bottom: 1px solid #eee;
	text-decoration: none;
	color: inherit;
}

.color-variant-row:last-child {
	border-bottom: none;
}


@media only screen and (max-width: 768px) {
    .woocommerce ul.products[class*=columns-] li.product,
    .woocommerce-page ul.products[class*=columns-] li.product {
        width: 100%;
    }
}


/* Миниатюра */
.color-variant-thumb img {
	width: 60px;
	height: auto;
	display: block;
}

/* Правая часть */
.color-variant-body {
	flex: 1;
	display: flex;
	flex-direction: column;
	gap: 4px;
	transition: all .3s;
}

.color-variant-top {
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	gap: 10px;
}

.color-variant-title {
	font-size: 14px;
	font-weight: 500;
	line-height: 1.3;
}

.color-variant-price {
	font-size: 14px;
	font-weight: 600;
	white-space: nowrap;
}

.color-variant-color {
	font-size: 12px;
	color: #666;
	text-align: left;
}

.color-variant-row {
	transition: all .3s;
}

.color-variant-price bdi {
	padding: 5px 0px;
	transition: all .3s;
}

.color-variant-row:hover {
	box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
    transform: translateY(-3px);
}

.color-variant-row:hover .color-variant-price bdi {
	background: var(--accent-cyan-dark);
    color: white;
    padding: 5px 5px;
    border-radius: 4px;
}

/* галерея товара */

/* Контейнер миниатюр */
.woocommerce div.product .flex-control-thumbs {
	display: flex !important;
	flex-wrap: nowrap !important;
	gap: 10px;

	overflow-x: auto !important;
	overflow-y: hidden;

	scroll-snap-type: x mandatory;
	-webkit-overflow-scrolling: touch;

	padding-bottom: 6px;
}

/* Элемент миниатюры */
.woocommerce div.product .flex-control-thumbs li {
	flex: 0 0 80px !important;
	width: 80px !important;

	scroll-snap-align: start;
}

.woocommerce div.product .flex-control-thumbs {
	max-width: 100% !important;
}

/* Поиск */

.search-product-grid {
	display: grid;
	gap: 20px;
}


@media (max-width: 575px) {
	.search-product-grid {
		grid-template-columns: 1fr;
	}
}


@media (min-width: 576px) and (max-width: 991px) {
	.search-product-grid {
		grid-template-columns: repeat(2, 1fr);
	}
}


@media (min-width: 992px) {
	.search-product-grid {
		grid-template-columns: repeat(4, 1fr);
	}
}


.search-product-card {
	display: block;
	border: 1px solid #eee;
	padding: 15px;
	text-decoration: none;
	color: inherit;
	transition: 0.3s;
	background: #fff;
}

.search-product-card:hover {
	box-shadow: 0 10px 25px rgba(0,0,0,0.08);
	transform: translateY(-3px);
}

.search-product-thumb img {
	width: 100%;
	height: 200px;
	object-fit: contain;
}

.search-product-title {
	font-size: 16px;
	margin: 10px 0 5px;
}

.search-product-price {
	font-weight: 600;
	color:  var(--black);
}

/* Фильтры товаров */

.woocommerce .widget_price_filter .ui-slider .ui-slider-handle {
	background-color: var(--accent-cyan-dark);
}

.woocommerce .widget_price_filter .ui-slider .ui-slider-range {
	background-color:var(--accent-blue);
}

.woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content {
	background-color: var(--white);
	border: 1px solid var(--accent-blue);
}

.is-left-sidebar {
	width: 20%;
}

/* Избранное */

#widget_top_wishlist-3 {
    margin-top: 6px;
	text-align: center;
}

a.wishlist_products_counter {
	border: 1px solid #ccc;
    border-radius: 28px;
    padding: 6px 30px;
    width: 100%;
    display: block;
}

span.wishlist_products_counter_number {
    font-weight: 600;
}

/* варианты цветов */

/* контейнер блока */
.product-color-variants-side,
.product-color-variants-inline{
	margin:15px 0 20px;
}

/* заголовок */
.product-color-variants-side .variants-title{
	font-size:14px;
	font-weight:600;
	margin-bottom:8px;
}

/* список миниатюр */
.variants-list{
	display:flex;
	gap:10px;
	flex-wrap:wrap;
	align-items:center;
}

/* миниатюра */
.variant-thumb{
	position:relative;
	display:block;
	border-radius:6px;
	transition:.3s;
	z-index:998;
}

/* изображение */
.variant-thumb img{
	width:55px;
	height:55px;
	object-fit:cover;
	border-radius:6px;
	border:2px solid transparent;
	transition:.25s;
}

/* hover эффект */
.variant-thumb:hover{
	box-shadow:0 10px 25px rgba(0,0,0,0.08);
	transform:translateY(-3px);
}

.nav-below-header .main-navigation .inside-navigation.grid-container, .nav-above-header .main-navigation .inside-navigation.grid-container {padding:0px}

/* активный цвет */
.variant-thumb.active{
	box-shadow:
	0 0 0 4px #fff,
	0 0 0 7px var(--accent-blue);
}

/* tooltip */
.variant-thumb::after{
	content:attr(data-color);
	position:absolute;
	top:100%;
	left:50%;
	transform:translateX(-50%);
	margin-top:6px;

	background:#e9e6ed;
	color:var(--gray-700);
	font-size:12px;
	padding:4px 8px;
	border-radius:4px;
	white-space:nowrap;
	z-index:998;
	opacity:0;
	pointer-events:none;
	transition:.2s;
}

/* показать tooltip */
.variant-thumb:hover::after{
	opacity:1;
}


/* Горизонтальный скролл Cross-sells */
.product-cross-sells ul.products{
    display:flex;
    flex-wrap:nowrap;
    justify-content:flex-start;
    overflow-x:auto;
    gap:20px;

    margin:0;
    padding-bottom:10px;

    scroll-behavior:smooth;
}

.product-cross-sells ul.products li.product{
    float:none;
    width:auto;
    margin:0;
    flex:0 0 23%;
    min-width:220px;
}

.product-cross-sells ul.products::-webkit-scrollbar{
    height:12px;
	
}

.product-cross-sells ul.products::-webkit-scrollbar-thumb{
    background:linear-gradient(90deg,#bbb,#888);
    border-radius:20px;
	border:2px solid transparent;
background-clip:padding-box;
}

.product-cross-sells ul.products::-webkit-scrollbar-thumb:hover  {
	background:linear-gradient(90deg,#888,#bbb);
	cursor: pointer;
	border:2px solid transparent;
background-clip:padding-box;

}

/* Кастомизация фильтра товаров */

.widget_layered_nav ul li a {
    display: flex;
    align-items: center;
    gap: 8px;
}

.widget_layered_nav ul li input[type="checkbox"] {
    width: 16px;
    height: 16px;
}

.widget-area .widget {
	padding: 0px;
}

li.woocommerce-widget-layered-nav-list__item.wc-layered-nav-term {
    font-size: 14px;
	display: flex;
    flex-direction: row;
    gap: 8px;
}

/* Товар в постах */


.product-set-box {
    background: #fafafa;
    border: 1px solid #eee;
    padding: 15px;
    margin: 15px 0;
}

.product-set-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
    gap: 15px;
	justify-content: start;
}

.product-set-item {
    text-decoration: none;
    color: #000;
    background: #fff;
    border: 1px solid #eee;
    padding: 15px;
    transition: 0.3s;
	display: flex;
    flex-direction: column;
    justify-content: space-between;
	width: 100%;
    max-width: 360px;
}

.product-set-item:hover {
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
    transform: translateY(-3px);

}

.product-set-image img {
    width: 100%;
    height: auto;
    border-radius: 8px;
}

.product-set-title {
    margin-top: 8px;
    font-size: 14px;
	color: var(--gray-400);
}

@media (max-width: 768px) {
    .product-set-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* Posts */

.post-inner {
    display: flex;
    flex-direction: row;
    gap: 16px;
    margin-top: 16px;
}

@media (max-width: 768px) {
    .post-inner {
		flex-direction: column;
	}
}

@media (max-width: 768px) {

    .post-image {
        width: 100%;
        aspect-ratio: 1 / 1;
        overflow: hidden;
    }

    .post-image img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

}

/* Кнопка фильтр */
 
.filter-btn {
    display: none;
    padding: 12px;

    width: 100%;
    margin-bottom: 10px;
    font-size: 16px;
}

@media (max-width: 768px) {

    .filter-btn {
        display: block;
    }

    #left-sidebar {
        position: fixed !important;
        top: 0;
        left: -100%;
        width: 80%;
        height: 100%;
        background: #fff;
        z-index: 9999;
        overflow-y: auto;
        transition: left 0.3s ease;
        box-shadow: 2px 0 10px rgba(0,0,0,0.2);
    }

    #left-sidebar.active {
        left: 0;
    }

    .overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.5);
        opacity: 0;
        visibility: hidden;
        transition: 0.3s;
        z-index: 9998;
    }

    .overlay.active {
        opacity: 1;
        visibility: visible;
    }
}